org.springframework.cloud.dataflow.server.batch

## Class JobExecutionWithStepCount

- java.lang.Object
- - org.springframework.batch.core.Entity
  - - org.springframework.batch.core.JobExecution
    - - org.springframework.cloud.dataflow.server.batch.JobExecutionWithStepCount

- All Implemented Interfaces:
    Serializable

      public class JobExecutionWithStepCount
      extends org.springframework.batch.core.JobExecution

  Supports the base `JobExecution` attributes along with a step count.
  Since:
    2.0
  Author:
    Glenn Renfro
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobExecutionWithStepCount(org.springframework.batch.core.JobExecution original, int stepCount)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getStepCount()`
    `void` | `setStepCount(int stepCount)`

    - ### Methods inherited from class org.springframework.batch.core.JobExecution

      `addFailureException, addStepExecutions, createStepExecution, getAllFailureExceptions, getCreateTime, getEndTime, getExecutionContext, getExitStatus, getFailureExceptions, getJobConfigurationName, getJobId, getJobInstance, getJobParameters, getLastUpdated, getStartTime, getStatus, getStepExecutions, isRunning, isStopping, setCreateTime, setEndTime, setExecutionContext, setExitStatus, setJobInstance, setLastUpdated, setStartTime, setStatus, stop, toString, upgradeStatus`

    - ### Methods inherited from class org.springframework.batch.core.Entity

      `equals, getId, getVersion, hashCode, incrementVersion, setId, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JobExecutionWithStepCount

          public JobExecutionWithStepCount(org.springframework.batch.core.JobExecution original,
                                           int stepCount)

  - ### Method Detail

    - #### getStepCount

          public int getStepCount()

    - #### setStepCount

          public void setStepCount(int stepCount)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.